Jump to content
The Dark Blues

Internet Explorer 11 and IPad IOS 9.3.5 do NOT work on this forum

TheDarkBlues

If you have Internet Explorer 11 and IPad IOS 9.3.5 then you will not be able to access this website. This is due to the fact that these browsers are in compatible with newer technologies in which this software uses and you should upgrade your Browser.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.